Subject: Re: [PATCH RFC net-next] virtio_net: Relax queue requirement for using XDP

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 26 Feb 2020 12:08:30 -0500

On Wed, Feb 26, 2020 at 08:58:47AM -0700, David Ahern wrote:
> On 2/26/20 1:34 AM, Toke Høiland-Jørgensen wrote:
> >>
> >> OK so basically there would be commands to configure which TX queue is
> >> used by XDP. With enough resources default is to use dedicated queues.
> >> With not enough resources default is to fail binding xdp program
> >> unless queues are specified. Does this sound reasonable?
> > 
> > Yeah, that was the idea. See this talk from LPC last year for more
> > details: https://linuxplumbersconf.org/event/4/contributions/462/
> 
>  Hopefully such a design is only required for a program doing a Tx path
> (XDP_TX or XDP_REDIRECT). i.e., a program just doing basic ACL, NAT, or
> even encap, decap, should not have to do anything with Tx queues to load
> and run the program.

Well when XDP was starting up it wasn't too late to require
meta data about which codes can be returned (e.g. whether program
can do tx). But by now there's a body of binary programs out there,
it's probably too late ...

-- 
MST